Show / Hide Table of Contents

# Struct AgentSalvage.SalvageListItem

##### Inherited Members

System.ValueType.Equals(System.Object)
System.ValueType.GetHashCode()
System.ValueType.ToString()
System.Object.Equals(System.Object, System.Object)
System.Object.GetType()
System.Object.ReferenceEquals(System.Object, System.Object)

###### Namespace: FFXIVClientStructs.FFXIV.Client.UI.Agent

###### Assembly: FFXIVClientStructs.dll

##### Syntax

    public struct SalvageListItem

### Fields

| Improve this Doc View Source

#### ClassJob

##### Declaration

    public uint ClassJob

##### Field Value

Type | Description
--- | ---
System.UInt32 |

| Improve this Doc View Source

#### Flags

##### Declaration

    public byte Flags

##### Field Value

Type | Description
--- | ---
System.Byte |

| Improve this Doc View Source

#### InventorySlot

##### Declaration

    public uint InventorySlot

##### Field Value

Type | Description
--- | ---
System.UInt32 |

| Improve this Doc View Source

#### InventoryType

##### Declaration

    public InventoryType InventoryType

##### Field Value

Type | Description
--- | ---
InventoryType |

| Improve this Doc View Source

#### ItemId

##### Declaration

    public uint ItemId

##### Field Value

Type | Description
--- | ---
System.UInt32 |

| Improve this Doc View Source

#### Name

##### Declaration

    public Utf8String Name

##### Field Value

Type | Description
--- | ---
Utf8String |

| Improve this Doc View Source

#### Quantity

##### Declaration

    public uint Quantity

##### Field Value

Type | Description
--- | ---
System.UInt32 |